/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
// 출력 패턴
byte patterns[] = {
	0b10100101, 
	0b01011010, 
	0b00100100, 
	0b00011000, 
	0b00100100, 
	0b01011010 };

int dataPin = 11;
int latchPin = 12;
int clockPin = 13;

int index = 0;

void setup() {
	pinMode(dataPin, OUTPUT);
	pinMode(clockPin, OUTPUT);
	pinMode(latchPin, OUTPUT);
}

void loop() {
	index = (index + 1) % 6;

	digitalWrite(latchPin, LOW);				// 래치 출력 금지
	shiftOut(dataPin, clockPin, MSBFIRST, patterns[index]);	// 데이터 출력
	digitalWrite(latchPin, HIGH);				// 래치 출력 허용

	delay(500);
}
