/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
byte pattern = 0b10100000;		// 기본 출력 패턴

int dataPin = 11;
int latchPin = 12;
int clockPin = 13;

void setup() {
	pinMode(dataPin, OUTPUT);
	pinMode(clockPin, OUTPUT);
	pinMode(latchPin, OUTPUT);
}

byte circular_right_shift(byte d, int n)
{
	byte d1 = d >> n;
	byte d2 = d << (8 - n);

	return (d1 | d2);
}

void loop() {
	pattern = circular_right_shift(pattern, 1);

	digitalWrite(latchPin, LOW);			// 래치 출력 금지
	shiftOut(dataPin, clockPin, MSBFIRST, pattern);	// 데이터 출력
	digitalWrite(latchPin, HIGH);			// 래치 출력 허용

	delay(500);
}
