/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
byte pattern = 0b10100000;		// 기본 출력 패턴

int dataPin = 11;
int latchPin = 12;
int clockPin = 13;

int button_pin = 9;			// 버튼 연결 핀
boolean state = true;			// 오른쪽 원형 쉬프트 사용

void setup() {
	pinMode(dataPin, OUTPUT);
	pinMode(clockPin, OUTPUT);
	pinMode(latchPin, OUTPUT);

	pinMode(button_pin, INPUT);		// 버튼 연결 핀을 입력으로 설정
}

byte circular_right_shift(byte d, int n)
{
	byte d1 = d >> n;
	byte d2 = d << (8 - n);

	return (d1 | d2);
}

byte circular_left_shift(byte d, int n)
{
	byte d1 = d >> (8 - n);
	byte d2 = d << n;

	return (d1 | d2);
}

void loop() {
	if(digitalRead(button_pin)){		// 버튼이 눌러진 경우
		state = !state;			// 오른쪽 및 왼쪽 쉬프트 전환
		delay(500);				// 디바운스
	}

	if(state){				// 오른쪽 원형 쉬프트
		pattern = circular_right_shift(pattern, 1);
	}
	else{					// 왼쪽 원형 쉬프트
		pattern = circular_left_shift(pattern, 1);
	}

	digitalWrite(latchPin, LOW);			// 래치 출력 금지
	shiftOut(dataPin, clockPin, MSBFIRST, pattern);	// 데이터 출력
	digitalWrite(latchPin, HIGH);			// 래치 출력 허용

	delay(500);
}
