/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <Wire.h>
#include <Adafruit_MCP23017.h>

Adafruit_MCP23017 mcp;		// MCP23017 칩 객체
  
void setup() {  
	mcp.begin();			// 기본 0x20 주소 사용

	for(int i = 0; i < 8; i++){
		mcp.pinMode(i, INPUT);	// 버튼이 연결된 핀을 입력으로 설정
		mcp.pullUp(i, HIGH);		// 풀업저항을 사용하도록 설정
	}
	Serial.begin(9600);
}

void loop() {
	for(int i = 0; i < 8; i++){
		boolean buttonState = mcp.digitalRead(i);	// 버튼 상태 읽기

		// 풀업 저항을 사용하였으므로 누르지 않은 상태에서 HIGH가 입력된다.
		if(buttonState){
			Serial.print("X ");
		}
		else{
			Serial.print("O ");
		}
	}
	Serial.println();				// 줄 바꾸기
	
	delay(1000);
}
