/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <Wire.h>
#include <Adafruit_MCP23017.h>
#include <pitches.h>		// 음 높이 정의

Adafruit_MCP23017 mcp;		// MCP23017 칩 객체

int speaker_pin = 4;
int duration = 100;

int notes[] = {	NOTE_C4, NOTE_D4, NOTE_E4, NOTE_F4, 
							NOTE_G4, NOTE_A4, NOTE_B4, NOTE_C5};

void setup() {  
	pinMode(speaker_pin, OUTPUT);	// 스피커 연결 핀을 출력으로 설정

	mcp.begin();				// 기본 0x20 주소 사용

	for(int i = 0; i < 8; i++){
		mcp.pinMode(i, INPUT);		// 버튼이 연결된 핀을 입력으로 설정
		mcp.pullUp(i, HIGH);			// 풀업저항을 사용하도록 설정
	}
	for(int i = 8; i < 16; i++){
		mcp.pinMode(i, OUTPUT);		// LED 연결 핀을 출력으로 설정
	}
}

void loop() {
	for(int i = 0; i < 8; i++){
		boolean buttonState = mcp.digitalRead(i);
		// 풀업 저항을 사용하였으므로 LED로는 반전시켜 출력하여야 한다.
		if(!buttonState){
			mcp.digitalWrite(i + 8, !buttonState);	// 해당 LED 켜기
			tone(speaker_pin, notes[i], duration);	// 해당 음 재생
		}
		else{
			mcp.digitalWrite(i + 8, !buttonState);
		}
	}
}
