/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <LiquidCrystal.h>

// 핀 번호 (RS, E, DB4, DB5, DB6, DB7)
LiquidCrystal lcd(2, 3, 5, 6, 7, 8);		// LCD 연결

void setup() {
	lcd.begin(16, 2);  			// LCD 크기 설정
	lcd.clear();					// LCD 화면 지우기
}

void loop() {
	int value = analogRead(A3);		// 가변저항 값 읽기
	String value_string = String(value);	// 가변저항 값을 문자열로 변환

	lcd.home();				// 커서를 (0, 0)으로 옮김
	// 우측 정렬을 위해 공백 출력
	for(int i = 0; i < 4 - value_string.length(); i++){
		lcd.write(' ');
	}

	lcd.print(value);			// 가변저항 값 출력

	delay(100);
}
