/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <LiquidCrystal.h>

// 핀 번호 (RS, E, DB4, DB5, DB6, DB7)
LiquidCrystal lcd(2, 3, 5, 6, 7, 8);		// LCD 연결

void setup() {
	lcd.begin(16, 2);  			// LCD 크기 설정
	lcd.clear();					// LCD 화면 지우기
}

void loop() {
	int value = analogRead(A3);		// 가변저항 값 읽기
	// 0에서 16칸으로 바의 크기 계산
	int count = map(value, 0, 1023, 0, 16);

	lcd.home();				// 커서를 (0, 0)으로 옮김
	for(int i = 0; i < count; i++){		// 바 표시
		lcd.write('#');
	}
	for(int i = count; i < 16; i++){		// 공백 표시
		lcd.write(' ');
	}

	delay(100);
}
