/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <LiquidCrystal.h>

// 핀 번호 (RS, E, DB4, DB5, DB6, DB7)
LiquidCrystal lcd(2, 3, 5, 6, 7, 8);		// LCD 연결

int button_pin = 9;			// 버튼 연결 핀
boolean going = false;			// 정지 상태에서 시작

unsigned long time_previous, time_current;
int INTERVAL = 1000;			// 초 단위

int minutes = 0, seconds = 0;		// 분과 초 저장

void setup() {
	lcd.begin(16, 2);  			// LCD 크기 설정
	lcd.clear();					// LCD 화면 지우기

	time_previous = millis();
	pinMode(button_pin, INPUT);

	lcd.print("00M 00S");			// 초기 상태
}

void loop() {
	boolean pressed = digitalRead(button_pin);	// 버튼 입력
	if(pressed){
		delay(500);				// 디바운스
		going = !going;			// 시작과 정지 토글
	}
	else{
		if(!going) time_previous = millis();	// 정지 상태에서 이전 시간 갱신
	}

	if(going){					// 시작 상태인 경우
		time_current = millis();

		if(time_current - time_previous >= INTERVAL){
			time_previous = time_current;

			seconds++;			// 초 증가
			if(seconds == 60){			// 60초이면 분 증가
				seconds = 0;
				minutes++;

				if(minutes == 60) minutes = 0;	// 60분이면 0으로 복귀
			}

			lcd.clear();
			if(minutes < 10) lcd.write('0');	// 한 자리 숫자인 경우 ‘0’ 추가
			lcd.print(minutes);
			lcd.print("M ");
			if(seconds < 10) lcd.write('0');	// 한 자리 숫자인 경우 ‘0’ 추가
			lcd.print(seconds);
			lcd.write('S');
		}
	}
}
