/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#define N 10			// 큐의 크기

int values[N] = {0, };		// 큐 초기화
int index = 0;			// 큐 내 데이터 저장 위치

void setup(){
	Serial.begin(9600);		// 시리얼 통신 초기화
}

void loop(){
	int val = analogRead(A2);	// 아날로그 입력 2번
	values[index] = val;		// 큐에 데이터 저장

	// 배열의 범위를 벗어나면 배열 처음으로 되돌린다. 
	index++;
	if(index == N) index = 0;

	// 10개를 평균하므로 int를 사용하면 정수의 표현 범위를 벗어날 수 있으므로 
	// float를 사용하여 합을 계산한다.
	float sum = 0.0;
	for(int i = 0; i < N; i++){
		sum += values[i];
	}

	Serial.println(sum / N);	// 센서 값 출력
  
	delay(1000);			// 1초에 한 번 출력
}
