/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <EEPROM.h>

void setup(){
	Serial.begin(9600);				// 시리얼 통신 초기화
}

void write_int_EEPROM(int address, int value){
	EEPROM.write(address, value >> 8);		// 상위 바이트
	EEPROM.write(address + 1, value & 0x00FF);	// 하위 바이트
}

int read_int_EEPROM(int address){
	byte byte_high = EEPROM.read(address);	// 상위 바이트
	byte byte_low = EEPROM.read(address + 1);	// 하위 바이트

	return (byte_high << 8 | byte_low);		// 정수값 조합
}

void loop(){
	Serial.println("Write 1234 to EEPROM");
	write_int_EEPROM(10, 1234);

	Serial.println("Read from EEPROM");
	Serial.println(String(" >> ") + read_int_EEPROM(10));

	while(true);
}
