/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <core_build_options.h>
#include <swRTC.h>

swRTC rtc;				// swRTC 인스턴스 생성

void setup() {
	rtc.stopRTC();			// RTC 정지
	rtc.setTime(15, 0, 0);		// 15시 0분 0초로 설정
	rtc.setDate(5, 5, 2014);		// 2014년 5월 5일로 설정
	rtc.startRTC();			// RTC 시작
	Serial.begin(9600);		// 시리얼 통신 초기화
}

void loop() {
	Serial.print(rtc.getYear(), DEC);		// 년
	Serial.print("/");
	Serial.print(rtc.getDay(), DEC);		// 일
	Serial.print("/");
	Serial.print(rtc.getMonth(), DEC);	// 월
	Serial.print(" -- ");

	Serial.print(rtc.getHours(), DEC);	// 시
	Serial.print(":");
	Serial.print(rtc.getMinutes(), DEC);	// 분
	Serial.print(":");
	Serial.println(rtc.getSeconds(), DEC);	// 초

	delay(1000);
}
