/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <SoftwareSerial.h>

// SoftwareSerial(RX, TX) 형식으로 블루투스 모듈과 교차하여 연결된다.
// 2 -> TX of Bluetooth Module
// 3 -> RX of Bluetooth Module
SoftwareSerial BTSerial(2, 3);

void setup()  
{
	Serial.begin(9600);		// 컴퓨터와의 시리얼 통신 초기화
	BTSerial.begin(9600);		// 블루투스 모듈 초기화
}

void loop()
{
	// 블루투스 모듈 --> 아두이노 --> 시리얼 모니터
	if (BTSerial.available())
		Serial.write(BTSerial.read());

	// 시리얼 모니터 --> 아두이노 --> 블루투스 모듈
	if (Serial.available())
		BTSerial.write(Serial.read());
}
