/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int PWM1 = 9;		// 모터 1 제어를 위한 연결 핀
int Enable1 = 10;
int DIR1 = 11;

int PWM2 = 6;		// 모터 2 제어를 위한 연결 핀
int Enable2 = 7;
int DIR2 = 8;

void setup(){
	// 모터 제어를 위한 핀들을 출력으로 설정
	pinMode(PWM1, OUTPUT);
	pinMode(Enable1, OUTPUT);
	pinMode(DIR1, OUTPUT);
	pinMode(PWM2, OUTPUT);
	pinMode(Enable2, OUTPUT);
	pinMode(DIR2, OUTPUT);

	digitalWrite(Enable1, HIGH);		// 초기 상태는 비활성화 상태
	digitalWrite(Enable2, HIGH);
}

void loop(){
	digitalWrite(Enable1, LOW);		// 모터 1 활성화
	digitalWrite(DIR1, HIGH);		// 정방향 회전
	for(int i = 0; i < 256; i++){		// 속도 조절을 위한 PWM 신호 출력
		analogWrite(PWM1, i);
		delay(25);
	}

	analogWrite(PWM1, 0);			// 모터 정지
	delay(1000);
	digitalWrite(DIR1, LOW);		// 역방향 회전

	for(int i = 0; i < 256; i++){		// 속도 조절을 위한 PWM 신호 출력
		analogWrite(PWM1, i);
		delay(25);
	}

	analogWrite(PWM1, 0);			// 모터 정지
	digitalWrite(Enable1, HIGH);		// 모터 1 비활성화

	digitalWrite(Enable2, LOW);
	digitalWrite(DIR2, HIGH);
	for(int i = 0; i < 256; i++){
		analogWrite(PWM2, i);
		delay(25);
	}

	analogWrite(PWM2, 0);
	delay(1000);
	digitalWrite(DIR2, LOW);

	for(int i = 0; i < 256; i++){
		analogWrite(PWM2, i);
		delay(25);
	}

	analogWrite(PWM2, 0);
	digitalWrite(Enable2, HIGH);

	while(true);
}
