/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup()  
{
	Serial.begin(9600);			// 컴퓨터와의 시리얼 통신 초기화
}

void loop()
{
	byte data = 0b11110101;		// 데이터

	// 각 위치의 비트값 확인
	Serial.print("Bit Extraction : ");
	for(int i = 0; i < 8; i++){
  		byte mask = 1 << i;
		byte result = (data & mask) >> i;
		Serial.print(result);
	}
	Serial.println();

	// 상위 4비트를 1로 설정
	Serial.print("Bit Set        : ");
	for(int i = 4; i < 8; i++){
		byte mask = 1 << i;
		data = data | mask;
	}
	Serial.println(data, BIN);

	// 하위 4비트를 반전
	Serial.print("Bit Inversion  : ");
	for(int i = 0; i < 4; i++){
		byte mask = 1 << i;
		data = data ^ mask;
	}
	Serial.println(data, BIN);

	// 하위 4비트를 0으로 설정
	Serial.print("Bit Clear      : ");
	for(int i = 0; i < 4; i++){
		byte mask = ~(1 << i);
		data = data & mask;
	}
	Serial.println(data, BIN);

	while(true);
}
