/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup() {
	Serial.begin(9600);		// 시리얼 포트 초기화
}

void loop() {
	String str1 = "One string", str2 = "Another string";
	int n = 1234;
	float f = 3.14;
	char c = 'A';

	Serial.println(str1);			// String 출력
	Serial.println(str1 + " " + str2);		// 문자열 연결

	Serial.println(String(n));			// 정수로부터 10진 문자열 생성
	Serial.println(String(n, BIN));		// 정수로부터 2진 문자열 생성
	Serial.println(String(n, HEX));		// 정수로부터 16진 문자열 생성

	// 실수의 경우 문자열로 직접 변환할 수 없다. 
	// 단, Serial 클래스의 print 함수로 문자열 형식으로 출력은 가능하다.
	// Serial.println(String(f));
	Serial.println(f);

	// 다른 타입의 데이터를 연결하여 새로운 String 객체를 생성한다.
	Serial.println("String + integer : " + String(n));
	Serial.println("String + character : " + String(c));

	String str3 = "String + integer : ";
	str3 += n;
	Serial.println(str3);

	while(true);
}
