/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
String buffer;			// 수신 문자열 저장 버퍼
boolean stringEnd;		// 문자열이 개행 문자로 끝났는지의 여부 표시

void setup() {
	Serial.begin(9600);		// 시리얼 포트 초기화
	// 변수 초기화
	buffer = "";
	stringEnd = false;
}

void loop() {
	while(Serial.available() > 0){	// 수신된 문자가 있을 때
		char ch = Serial.read();	// 문자 읽음
		Serial.write(ch);
		if(ch == '\n'){		// 개행 문자를 만나면 문자열이 완성된 것으로 간주
			stringEnd = true;
			break;
		}
		buffer += ch;		// 개행 문자를 만나지 않으면 문자열을 이어붙임
	}

	if(stringEnd){			// 문자열이 완성된 경우 약속된 문자열과 비교
		if(buffer.equalsIgnoreCase("UP"))
			Serial.println(" : Up");
		else if(buffer.equalsIgnoreCase("DOWN"))
			Serial.println(" : Down");
		else if(buffer.equalsIgnoreCase("RIGHT"))
			Serial.println(" : Right");
		else if(buffer.equalsIgnoreCase("LEFT"))
			Serial.println(" : Left");

		buffer = "";
		stringEnd = false;
	}
}
