/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
// 버튼 모듈 연결 핀
int pins[] = {2, 3, 4, 5, 6, 7, 8, 11};

void setup() {
	Serial.begin(9600);			// 시리얼 통신 초기화
	for(int i = 0; i < 8; i++){		// 버튼 연결 핀들을 입력으로 설정
		pinMode(pins[i], INPUT);
	}
}

void loop() {
	for(int i = 0; i < 8; i++){
		boolean value = digitalRead(pins[i]);	// 버튼 상태 읽기

		if(value){					// 버튼이 HIGH 상태인 경우
			Serial.print("O ");
		}
		else{						// 버튼이 LOW 상태인 경우
			Serial.print("X ");
		}
	}
	Serial.println();

	delay(1000);				// 1초 대기
}
