/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int buttonPin = 9;
// 이전 버튼 상태와 현재 버튼 상태 저장을 위한 변수
boolean button_previous, button_current;

void setup() {
	Serial.begin(9600);
	pinMode(buttonPin, INPUT); 		// 9번 핀을 입력으로 사용

	// 버튼이 눌러지지 않은 상태로 초기화
	button_previous = false;
	button_current = false;
}

void loop() {
	button_current = digitalRead(buttonPin);		// 현재 버튼 상태 읽기

	if(button_current != button_previous){		// 이전 버튼 상태와 다른 경우
		button_previous = button_current;		// 이전 버튼 상태 갱신

		if(button_current == HIGH){			// 버튼이 눌러진 경우
			Serial.println("X -> O");
		}
		else{							// 버튼이 눌러지지 않은 경우
			Serial.println("O -> X");
		}
	}
}
