/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <Bounce2.h>

int BUTTON_PIN = 9;			// 버튼 연결 핀
int LED_PIN = 13;			// LED 연결 핀

Bounce debouncer = Bounce(); 		// 디바운서 객체 생성

void setup() {
	pinMode(BUTTON_PIN, INPUT);		// 버튼 연결 핀을 입력으로 설정
  
	debouncer.attach(BUTTON_PIN);		// 버튼 핀을 디바운서에 연결
	debouncer.interval(5);			// 디바운싱을 위한 시간 간격

	pinMode(LED_PIN,OUTPUT);		// LED 연결 핀을 출력으로 설정
	Serial.begin(9600);
}

void loop() {
	debouncer.update();			// 버튼의 상태 변화 감지
	int value = debouncer.read();		// 버튼 상태 읽기

	if(value == HIGH){
		digitalWrite(LED_PIN, HIGH);
		Serial.println("O");
	}
	else{
		digitalWrite(LED_PIN, LOW);
		Serial.println("X");
	}
}
