/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <pitches.h>

int speakerPin = 4;		// 스피커 연결 핀

int melody[] = {			// 학교 종 멜로디. 0은 쉼표
  NOTE_G4, NOTE_G4, NOTE_A4, NOTE_A4, NOTE_G4, NOTE_G4, NOTE_E4, 0,
  NOTE_G4, NOTE_G4, NOTE_E4, NOTE_E4, NOTE_D4, 0, 
  NOTE_G4, NOTE_G4, NOTE_A4, NOTE_A4, NOTE_G4, NOTE_G4, NOTE_E4, 0,
  NOTE_G4, NOTE_E4, NOTE_D4, NOTE_E4, NOTE_C4, 0
};

int noteDuration = 4;		// 4분 음표

void setup() {
}

void loop() { 
	for (int thisNote = 0; thisNote < sizeof(melody) / sizeof(int); thisNote++) {
		int noteLength = 1000 / noteDuration;	// 음표 길이를 시간으로 변환
		tone(speakerPin, melody[thisNote], noteLength);	// 멜로디 재생

		delay(noteLength);
		noTone(speakerPin);			// 현재 음 재생 중지
	}

	while(true);				// 1회 재생 후 대기
}
