/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
// 10번 핀에 LED 연결. 1초 간격으로 LED 점멸
int led1 = 10;
// 13번 핀에 LED 연결. 버튼 상태 표시
int led2 = 13;
int button = 9;				// 9번 핀에 버튼 연결
int led_state;				// 10번 핀 LED 상태

unsigned long time_previous;		// 10번 핀 LED 상태 변경 시간
unsigned long time_current;		// 현재 시간

void setup() {
	pinMode(led1, OUTPUT);		// 10번 핀을 출력 모드로 설정
	pinMode(led2, OUTPUT);		// 13번 핀을 출력 모드로 설정
	pinMode(button, INPUT);		// 9번 핀을 입력 모드로 설정
	led_state = false;			// LED 점멸 상태

	time_previous = millis();
}

void loop() {
	boolean b_state = digitalRead(button);	// 버튼 상태 검사
	digitalWrite(led2, b_state);		// 13번 핀으로 버튼 상태 출력

	time_current = millis();			// 현재 시간
	if(time_current - time_previous > 1000){		// 이전 상태 변경 이후 1초 경과
		time_previous = time_current;		// 이전 상태 변경 시간 갱신
		led_state = !led_state;			// 10번 핀 LED 반전
		digitalWrite(led1, led_state);
	}
}
