/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int led = 10;					// 10번 핀에 버튼 연결
int button = 9;				// 9번 핀에 버튼 연결
int led_state;				// LED 점멸 상태
unsigned long intervals[] = {500, 1000};	// 점멸 간격 (밀리초)
unsigned long interval = 500;
int index = 0;

unsigned long time_previous;
unsigned long time_current;

void setup() {
	Serial.begin(9600);
	pinMode(led, OUTPUT);			// 10번 핀을 출력 모드로 설정
	pinMode(button, INPUT);		// 9번 핀을 입력 모드로 설정
	led_state = false;			// 1초 간격으로 점멸

	time_previous = millis();
}

void loop() {
	boolean b_state = digitalRead(button);		// 버튼 상태 검사
	// 버튼이 눌러진 경우 모드 변경
	if(b_state){
		// intervals에 지정된 시간 간격 선택을 위한 index 계산
		index = (index + 1) % 2;

		interval = intervals[index];
		delay(500);					// 디바운스
		Serial.println("Mode " + String(index) + " : " + interval);
	}

	time_current = millis();
	if(time_current - time_previous > interval){	// 이전 상태 변경 이후 1초 경과
		time_previous = time_current;		// 이전 상태 변경 시간 갱신
		led_state = !led_state;			// 10번 핀 LED 반전
		digitalWrite(led, led_state);
	}
}
