/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int led = 10;					// 10번 핀에 LED 연결
int variableR = A3;			// A3 핀에 가변저항 연결

unsigned long time_previous;		// 이전 LED 상태 변경 시간
unsigned long time_current;		// 현재 시간
boolean state;				// LED 점멸 상태
long R;							// 현재 가변저항의 값
long interval;				// 현재 설정된 점멸 간격

void setup() {
	pinMode(led, OUTPUT);			// 10번 핀을 출력 모드로 설정
	pinMode(variableR, INPUT);		// A3번 핀을 입력 모드로 설정
	time_previous = millis();		// 이전 LED 상태 변경 시간
	state = false;				// LED가 꺼진 상태에서 시작
	interval = 1000;			// 초기 점멸 시간은 1초
}

void loop() {
	time_current = millis();			// 현재까지의 시간
	R = analogRead(variableR);		// 가변저항 값 일기
	// 0에서 1023사이의 가변저항 값을
	// 100ms에서 1000ms 사이의 점멸 시간으로 변환
	interval = map(R, 0, 1023, 100, 1000);

	// LED 상태를 변경한 시간이 지정한 시간 간격을 경과한 경우
	if(time_current - time_previous > interval){
		time_previous = time_current;	// LED 상태 변경 시간 저장
		state = !state;			// LED 상태 반전

		digitalWrite(led, state);		// LED 점멸
	}
}
