/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int pins[] = {5, 6, 7, 8, 9, 10, 11, 12};	// LED 모듈 연결 핀
int analog_pin = A3;			// 가변저항 연결 핀

void setup(){
	for(int i = 0; i < 8; i++){		// LED 모듈 연결 핀을 출력으로 설정
		pinMode(pins[i], OUTPUT);
	}
}

void loop(){
	int value = analogRead(analog_pin);		// 가변저항 값 읽기
	int LED_count = map(value, 0, 1023, 0, 8);	// LED 개수로 변환

	for(int i = 0; i < 8; i++){
		if(i < LED_count)				// 범위 내의 값은 켜고
			digitalWrite(pins[i], HIGH);
		else								// 범위 밖의 값은 끈다.
			digitalWrite(pins[i], LOW);
	}
}
