/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int patterns[6][8] = {
	{1, 0, 1, 0, 0, 1, 0, 1},
	{0, 1, 0, 1, 1, 0, 1, 0},
	{0, 0, 1, 0, 0, 1, 0, 0},
	{0, 0, 0, 1, 1, 0, 0, 0},
	{0, 0, 1, 0, 0, 1, 0, 0},
	{0, 1, 0, 1, 1, 0, 1, 0} };

int pins[] = {5, 6, 7, 8, 9, 10, 11, 12};	// LED 모듈 연결 핀
int index;						// 현재 출력 패턴 번호
int patterns_no = 6;			// 패턴의 개수

void setup(){
	for(int i = 0; i < 8; i++){		// LED 모듈 연결 핀을 출력으로 설정
		pinMode(pins[i], OUTPUT);
	}
	index = 0;
}

void loop(){
	index = (index + 1) % patterns_no;	// 패턴의 반복 설정

	for(int i = 0; i < 8; i++){
		digitalWrite(pins[i], patterns[index][i]);
	}

	delay(500);
}
