/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
byte patterns[] = {
	0b11000000,
	0b01100000, 
	0b00110000, 
	0b00011000, 
	0b00001100, 
	0b00000110,
	0b00000011,
	0b10000001 };

int pins[] = {5, 6, 7, 8, 10, 11, 12, 13};	// LED 모듈 연결 핀
int button_pin = 9;			// 버튼 연결 핀
int index;						// 현재 출력 패턴 번호
int patterns_no = 8;			// 패턴의 개수
int step = 1;					// 패턴 번호 증가 또는 감소
unsigned long time_previous, time_current;
unsigned long INTERVAL = 500;		// 패턴 변화 시간 간격. 0.5초

void setup(){
	for(int i = 0; i < 8; i++){		// LED 모듈 연결 핀을 출력으로 설정
		pinMode(pins[i], OUTPUT);
	}
	pinMode(button_pin, INPUT);
	index = 0;
	time_previous = millis();
}

void loop(){
	if(digitalRead(button_pin)){		// 버튼에 의해 증가 또는 감소 방향 토글
		step *= -1;
		delay(500);				// 디바운스
	}

	time_current = millis();
	if(time_current - time_previous > INTERVAL){
		time_previous = time_current;
		index += step;				// 패턴 번호 증가 또는 감소
		// 경계 조건
		if(index < 0) index = patterns_no - 1;
		if(index >= patterns_no) index = 0;

		for(int i = 0; i < 8; i++){
			boolean on_off = bitRead(patterns[index], i);
			digitalWrite(pins[i], on_off);
		}
	}
}
