/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int pins[] = {5, 6, 7, 8, 10, 11, 12, 13};	// LED 모듈 연결 핀
String buffer;				// 수신 문자열 저장
boolean process;				// 문자열 종료 여부

void setup(){
	for(int i = 0; i < 8; i++){		// LED 모듈 연결 핀을 출력으로 설정
		pinMode(pins[i], OUTPUT);
	}

	Serial.begin(9600);
	buffer = "";				// 수신 문자열은 빈 상태로 시작
	process = false;			// 문자열 종료되지 않았음
}

void loop(){
	while(Serial.available() > 0){		// 수신된 문자가 존재하는 경우
		char data = Serial.read();		// 문자 단위로 읽기
		if(data == '\n'){			// 문자열이 종료된 경우
			process = true;			// 지금까지 수신된 문자열 처리
			break;
		}
		else{
			buffer += data;			// 문자열 이어 붙이기
		}
	}

	if(process){				// 문자열이 종료된 경우
		int number = buffer.toInt();		// 정수로 변환

		process = false;
		buffer = "";

		Serial.println("I got " + String(number));
		if(number < 0 || number > 255){
			Serial.println("Wrong number !!");	// 잘못된 문자열 수신
		}
		else{
			for(int i = 0; i < 8; i++){		// LED 점멸
				boolean on_off = bitRead(number, i);
				digitalWrite(pins[i], on_off);
			}
		}
	}
}
