/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
// 0에서 9까지 숫자 표현을 위한
// 세그먼트 a, b, c, d, e, f, g, dp의 패턴
byte patterns[] = {
	0xFC, 0x60, 0xDA, 0xF2, 0x66, 0xB6, 0xBE, 0xE4, 0xFE, 0xE6
};

int pins[] = {5, 6, 7, 8, 10, 11, 12, 13};	// 7세그먼트 모듈 연결 핀
int index;

unsigned long time_previous, time_current;
int INTERVAL = 1000;

void setup(){
	for(int i = 0; i < 8; i++){	// 7세그먼트 모듈 연결 핀을 출력으로 설정
		pinMode(pins[i], OUTPUT);
	}
	index = 0;					// 현재 출력 숫자
	time_previous = millis();
}

void loop(){
	time_current = millis();

	if(time_current - time_previous >= INTERVAL){
		time_previous = time_current;

		index = (index + 1) % 10;

		for(int i = 0; i < 8; i++){
			boolean on_off = bitRead(patterns[index], i);
			digitalWrite(pins[7 - i], on_off);
		}
	}
}
