/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#ifndef _DMUStyleMotor_
#define _DMUStyleMotor_

#include "Arduino.h"

#define MOTOR1		1	// 모터 선택
#define MOTOR2		2

#define DIRECTION1	1	// 회전 방향 선택
#define DIRECTION2	2

class _DMUStyleMotor {
private:
	int DIR1, Enable1, PWM1;			// 모터 1 연결 핀
	int DIR2, Enable2, PWM2;			// 모터 2 연결 핀
public:
	_DMUStyleMotor();				// 기본 핀을 사용하는 생성자
	// 기본 핀 설정과 다른 핀을 사용하고자 하는 경우 핀 변경 함수
	void SetPins(int dir1, int enable1, int pwm1, int dir2, int enable2, int pwm2);
	void Init();						// 핀 모드 설정 함수
	void Rotate(int motor, int dir, int speed);	// 회전
	void Stop(int motor);				// 정지
	void Enable(int motor);				// 활성화
	void Disable(int motor);			// 비활성화
};

extern _DMUStyleMotor DMUStyleMotor;

#endif